<?php 
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: login.php");exit;
	}

	// GET ACCOUNT TYPE
	$user_id = $_SESSION['User']['id'];
    $role    = $_SESSION['User']['role'];
    $user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $email_header  = 'https://ghbsystem.co.uk/assets/images/email_header.jpg';
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

	// OPEN DB CONNECTION
	require('dbconfig.php');

	$template_id     = $_GET['tid'];
	$template_sql    = "SELECT * FROM ptemplates WHERE id=$template_id AND user_id=$user_id";
	$template_result = $conn->query($template_sql);
	$template_row    = $template_result->fetch_assoc();

	// CLOSE DB CONNECTION
	$conn->close();
?>

<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Anovite Add Contact | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css" rel="stylesheet">
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 end-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18">Editor</h4>
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="preview.php?token=<?php echo md5(rand());?>">Templates</a></li>
                                            <li class="breadcrumb-item active">edit</li>
                                        </ol>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
        
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
        
                                        <h4 class="card-title">Template Editor</h4>
                                        <p class="card-title-desc">Design Your Vision: Customizing Templates in the Editor</p>
        
                                        <form method="post" action="#" class="editor-form">
				                        	<input type="hidden" name="data[indicator]" value="update_template">
				                        	<input type="hidden" name="data[user_id]" value="<?php echo $user_id;?>">
											<input type="hidden" name="data[ptemplate_id]" value="<?php echo $template_row['id']; ?>">
											<div class="row justify-content-center">
					                            <div class="col-md-7">
					                            	<div class="card border-0 mb-4">
														<div class="card-body">
															<div class="mb-3">
											    				<label for="subject_line" class="form-label">Subject<span class="text-danger">*</span></label>
											    				<input type="text" name="data[subject_line]" class="form-control" value="<?php echo $template_row['subject_line']; ?>" required>
											    			</div>
											    			<label for="html_content" class="form-label">Email Body</label>
											    			<img src="<?php echo $email_header; ?>" class="img-fluid mb-3" alt="Image not found">
											    			<div class="mb-3">
																<textarea id="summernote" name="data[html_content]" class="dynamic-message border border-info"><?php echo $template_row['html_content']; ?></textarea>
															</div>
															<div class="py-5 text-center" style="background:#29abe2;">
																<p class="text-white m-0">&copy; <?php echo date('Y'); ?> Anovite. All rights reserved.</p>
															</div>
														</div>
													</div>
												</div>
												<div class="col-md-5">
													<div class="d-grid">
														<p class="fw-bold text-center">Click here to update email template</p>
														<button type="submit" class="btn btn-primary">UPDATE TEMPLATE</button>
													</div>
												</div>
											</div>
										</form>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div> <!-- end row -->

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <?php include_once 'footer.php'; ?>
            </div>
            <!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
  	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>
	<script type="text/javascript">
		$(document).ready(function(){
			$('#summernote').summernote({
				airMode: true,
				popover: {
				    air: [
						['style', ['style']],
						['font', ['bold', 'underline', 'clear']],
						['fontname', ['fontname']],
						['color', ['color']],
						['para', ['ul', 'ol', 'paragraph']],
						['table', ['table']],
						['insert', ['picture']],
						['view', ['fullscreen', 'codeview', 'help']],
				    ]
				}
			});
			$("#summernote").summernote("removeModule", "linkPopover");
		});
	</script>

</body>

</html>
