<?php  
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);
	
	if(!$_SESSION['loggedin']) {
		header("Location: index.php");exit;
	}

	$pid = $_GET['pid'];

	// OPEN DB CONNECTION
	require('dbconfig.php');

	$user_id = $_SESSION['User']['id'];
	$role    = $_SESSION['User']['role'];
	$sms_credit = $_SESSION['User']['sms_credit'];
	$user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
	$profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';

	$prospects = array();
	$prospect_sql = "SELECT * from prospects WHERE user_id='$user_id'";
	$prospect_result = $conn->query($prospect_sql);
	if($prospect_result->num_rows > 0){
		while($prospect_row = $prospect_result->fetch_assoc()) {
			$prospects[] = $prospect_row;
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Send SMS | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

	<link href="assets/libs/datetimepicker/css/jquery.datetimepicker.css" rel="stylesheet" />
	<link href="assets/libs/select2/css/select2.min.css" rel="stylesheet" />
	<style type="text/css">
		.select2-container .select2-selection--multiple {
			min-height: 38px;
		}

		.select2-container--default .select2-selection--multiple,
		.select2-container--default.select2-container--focus .select2-selection--multiple {
			border: 1px solid #dee2e6;
		}
	</style>

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<div class="toast-container position-fixed bottom-0 end-0">
		<div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
			<div class="toast-header">
				<img src="assets/images/logo-sm.png" height="25" class="rounded me-2" alt="Image not found">
				<strong class="me-auto">Message</strong>
				<small class="text-muted">Just now</small>
				<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
			</div>
			<div class="toast-body">

			</div>
		</div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->

		<!-- ============================================================== -->
		<!-- Start right Content here -->
		<!-- ============================================================== -->
		<div class="main-content">

			<div class="page-content">
				<div class="container-fluid">

					<!-- start page title -->
					<div class="row">
						<div class="col-12">
							<div class="page-title-box d-sm-flex align-items-center justify-content-between">
								<h4 class="mb-sm-0 font-size-18">Send SMS</h4>
								<div class="page-title-right">
									<ol class="breadcrumb m-0">
										<li class="breadcrumb-item"><a href="contacts.php">Contacts</a></li>
										<li class="breadcrumb-item active">send sms</li>
									</ol>
								</div>

							</div>
						</div>
					</div>
					<!-- end page title -->

					<div class="row">
						<div class="col-12">
							<div class="card">
								<div class="card-body">
									<h4 class="card-title">Send sms to contacts</h4>
									<p class="card-title-desc">Texting Made Simple: Reach Out to Contacts Effortlessly</p>
									<form method="post" action="#" enctype="multipart/form-data" class="bulksms-form">
										<input type="hidden" name="data[indicator]" value="bulksms_sending">
										<div class="row justify-content-start">
											<div class="col-md-4">
												<div class="card mb-4">
													<div class="card-body">
														<img src="assets/images/phone-cover.png" class="img-fluid" alt="Image not found">
														<div class="mb-3 position-absolute" style="top: 123px;left: 35px;">
															<textarea name="data[message]" class="form-control dynamic-message" rows="8" cols="22" maxlength="150" style="width:205px;" placeholder="Type your message here" required></textarea>
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-5 align-self-center">
												<div class="card mb-4">
													<div class="card-body">
														<div class="mb-3">
															<label for="type" class="form-label">Select To<span class="text-danger">*</span> <span class="total-prospect fs-6 fw-light text-danger"></span></label>
															<select class="form-select prospect-indicator" name="data[type]" required>
																<option value="">None</option>
																<option value="all">All</option>
																<option value="allus">All US</option>
																<option value="alluk">All UK</option>
																<option value="emailopen">Email Opened</option>
																<option value="custom">Custom</option>
															</select>
														</div>
														<div class="row picker-wrapper d-none">
															<div class="col-md-12">
																<label for="date_range" class="form-label fw-bold text-info fs-5">Select Date Range</label>
															</div>
															<div class="col-md-6 mb-3">
																<label for="start_date" class="form-label">Start Date</label>
																<div class="input-group"> 
																	<span class="input-group-text event-cal"><i class="fa fa-calendar"></i></span> 
																	<input type="text" name="data[start_date]" class="form-control datetime-picker start-date" aria-label="Start Date" autocomplete="off" required> 
																</div>
															</div>
															<div class="col-md-6 mb-3">
																<label for="start_date" class="form-label">End Date</label>
																<div class="input-group"> 
																	<span class="input-group-text event-cal"><i class="fa fa-calendar"></i></span> 
																	<input type="text" name="data[end_date]" class="form-control datetime-picker end-date" aria-label="End Date" autocomplete="off" required> 
																</div>
															</div>
														</div>
														<div class="mb-3 prospect-bucket d-none">
															<label for="pids" class="form-label">Select Prospect(s)</label>
															<select class="form-select all-prospects" name="data[pids][]" multiple>
																<?php foreach($prospects as $prospect):?>
																<optgroup label="<?php echo $prospect['first_name'] . ' ' . $prospect['last_name'];?>">
																	<option value="<?php echo $prospect['id'];?>" <?php echo $prospect['id'] == $pid ? 'selected readonly': ''; ?>>+<?php echo $prospect['dial_code'] . ' ' . $prospect['phone'];?></option>
																</optgroup>
																<?php endforeach;?>
															</select>
														</div>
														<h4 class="text-secondary fs-6">Credit Details</h4>
														<div class="table-responsive">
															<table class="table table-sm table-bordered">
																<tr>
																	<td>Available Credit</td>
																	<td><?php echo $sms_credit; ?></td>
																</tr>
																<tr>
																	<td>Credit required for current filter</td>
																	<td>0</td>
																</tr>
															</table>
														</div>
														<div class="mb-3">
															<a href="javascript:void(0);" class="btn btn-info mb-2"><i class="bx bx-message align-middle"></i> Buy SMS Credit</a>
															<div class="my-2"></div>
															<img src="assets/images/sms-cards.png" class="img-fluid" alt="Image not found">
														</div>
														<div class="d-grid">
															<button type="submit" class="btn btn-primary">Send</button>
														</div>
													</div>
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div> <!-- end col -->
					</div> <!-- end row -->

				</div> <!-- container-fluid -->
			</div>
			<!-- End Page-content -->

			<?php include_once 'footer.php'; ?>
		</div>
		<!-- end main content-->
	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>
	<script src="assets/libs/datetimepicker/js/jquery.datetimepicker.js"></script>
	<script src="assets/libs/select2/js/select2.min.js"></script>

	<!-- validation init -->
	<script src="assets/libs/validator/jquery.validate.min.js"></script>
	<script src="assets/libs/validator/additional-methods.min.js"></script>

	<script src="assets/js/app.js"></script>
	<script src="assets/js/custom.js?v=<?php echo rand();?>"></script>

	<script type="text/javascript">
		$(document).ready(function() {

			var prospectId = '<?php echo $pid;?>';
			if (prospectId != '') {
				$('.prospect-indicator').val('custom');
				$('.prospect-bucket').removeClass('d-none');
				$('.all-prospects').prop('required', true).focus();
			}

			$('.datetime-picker').datetimepicker({
		        format: 'd/m/Y H:i:s' 
		    });
		    $('.event-cal').on('click', function(e) {
		        e.preventDefault();
		        $('.datetime-picker').trigger('focus');
		    });

			$('.all-prospects').select2();
			$('.prospect-indicator').on('change', function(e) {
				e.preventDefault();

				var prospectType = $(this).val();
				if (prospectType == 'custom') {

					$('.total-prospect').empty();
					$('.all-prospects').select2('destroy');
					$('.prospect-bucket').removeClass('d-none');
					$('.picker-wrapper').addClass('d-none');
					$('.all-prospects').select2();
					$('.all-prospects').prop('required', true).focus();
					
				} else if(prospectType == 'emailopen'){
					$('.total-prospect').empty();
					$('.all-prospects').prop('required', false).focus();
					$('.prospect-bucket').addClass('d-none');
					$('.picker-wrapper').removeClass('d-none');
				} else {

					$('.all-prospects').prop('required', false).focus();
					$('.prospect-bucket').addClass('d-none');

					// AUTO HIDE SPLASH SCREEN
					$('.splash').addClass('active');

					$.ajax({
						url: 'functions.php',
						type: 'POST',
						data: {
							'data[indicator]': 'render_contact',
							'data[type]': prospectType
						}
					}).done(function(res) {
						var resp = $.parseJSON(res);

						// AUTO HIDE SPLASH SCREEN
						$('.splash').removeClass('active');

						if (resp.status == true) {
							$('.total-prospect').text('(' + resp.count + ' prospects selected)');
						} else {
							$('.total-prospect').text('(' + resp.count + ' prospects selected)');
						}
					});
				}
			});

			$('.end-date').on('change', function(e) {
				e.preventDefault();

				var startDate = $('.start-date').val();
				var endDate   = $('.end-date').val();
				var prospectType = $('.prospect-indicator').val();

				// AUTO HIDE SPLASH SCREEN
				$('.splash').addClass('active');

				$.ajax({
					url: 'functions.php',
					type: 'POST',
					data: {
						'data[indicator]': 'render_contact',
						'data[type]': prospectType,
						'data[start_date]': startDate,
						'data[end_date]': endDate,
					}
				}).done(function(res) {
					var resp = $.parseJSON(res);

					// AUTO HIDE SPLASH SCREEN
					$('.splash').removeClass('active');

					if (resp.status == true) {
						$('.total-prospect').text('(' + resp.count + ' prospects selected)');
					} else {
						$('.total-prospect').text('(' + resp.count + ' prospects selected)');
					}
				});
			});
		});
	</script>

</body>

</html>