<?php 
	session_start();
	error_reporting(0);
	ini_set('display_errors', false);
	ini_set('display_startup_errors', false);

	$token = md5(rand());
	$created    = date('Y-m-d H:i:s');
	$indicator  = $_GET['indc'];
	$trackingid = $_GET['trid'];
	$uid = $_GET['uid'];
	$pid = $_GET['pid'];
	$url = $_GET['url'];

	// OPEN DB CONNECTION
	require('dbconfig.php');

	if(isset($indicator) && !empty($indicator)){

		// UPDATE CLICK THROUGH
	    $check_sql = "SELECT * FROM trackings WHERE trackingid='$trackingid' LIMIT 1";
	    $check_result = $conn->query($check_sql);

	    if($check_result->num_rows > 0){
	        $update_sql = "UPDATE trackings SET clickthrough=1 WHERE trackingid='$trackingid'";
	        $conn->query($update_sql);
	    } else {
	    	// GET THE CLIENT SIDE IP ADDRESS
	        $ipaddress = '';
	        if (getenv('HTTP_CLIENT_IP'))
	            $ipaddress = getenv('HTTP_CLIENT_IP');
	        else if(getenv('HTTP_X_FORWARDED_FOR'))
	            $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
	        else if(getenv('HTTP_X_FORWARDED'))
	            $ipaddress = getenv('HTTP_X_FORWARDED');
	        else if(getenv('HTTP_FORWARDED_FOR'))
	            $ipaddress = getenv('HTTP_FORWARDED_FOR');
	        else if(getenv('HTTP_FORWARDED'))
	            $ipaddress = getenv('HTTP_FORWARDED');
	        else if(getenv('REMOTE_ADDR'))
	            $ipaddress = getenv('REMOTE_ADDR');
	        else
	            $ipaddress = 'UNKNOWN';

	        $json  = file_get_contents("https://ipinfo.io/$ipaddress/geo");
	        $data  = json_decode($json ,true);
	        $city  = $data['city'];
	        $state = $data['region'];
	        $timezone  = $data['timezone'];
	        $post_code = $data['postal'];           
	        $country_code = $data['country'];           
	        $device_info  = getenv('HTTP_USER_AGENT');

	        // INSERT TRACKING
	        $tracking_sql  = "INSERT INTO trackings (user_id, prospect_id, trackingid, city, state, timezone, post_code, ipaddress, device_info, country_code, opened, clickthrough, created) VALUES ('$uid', '$pid', '$trackingid', '$city', '$state', '$timezone', '$post_code', '$ipaddress', '$device_info', '$country_code', 1, 1, '$created')";
	        $conn->query($tracking_sql);
	    }

	    switch ($indicator) {
			case 'busins':

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'tracksignup';
				$footprint_desc = 'Prospect has clicked on the presentation button from email';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$uid', '$pid', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				// REDIRECT TO THE ORIGINAL
				$redirect_url = $url . '?uid=' . $uid . '&pid=' . $pid . '&token=' . $token;
				header('Location: ' . $redirect_url); exit;

				break;
			case 'signup':

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'tracksignup';
				$footprint_desc = 'Prospect has clicked on the sign up button from email';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$uid', '$pid', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				// REDIRECT TO THE ORIGINAL
				header('Location: ' . $url); exit;

				break;
			case 'morinf':

				// ADD INFO TO FOOTPRINT
				$footprint_indc = 'trackmoreinfo';
				$footprint_desc = 'Prospect has requested More Information button from email';
				$footprint_sql  = "INSERT INTO footprints (user_id, prospect_id, description, indicator, created) VALUES ('$uid', '$pid', '$footprint_desc', '$footprint_indc', '$created')";
				$conn->query($footprint_sql);

				// REDIRECT TO THE ORIGINAL
				header('Location: ' . $url); exit;

				break;
			default:
				// REDIRECT TO THE ORIGINAL
				header('Location: ' . $url); exit;
				break;
		}
	}

	// CLOSE DB CONNECTION
	$conn->close();