<?php  
    session_start();
    error_reporting(0);
    ini_set('display_errors', false);
    ini_set('display_startup_errors', false);

    $user_id = $_SESSION['User']['id'];
    $user_name = $_SESSION['User']['first_name'] . ' ' . $_SESSION['User']['last_name'];
    $profile_image = $_SESSION['User']['image'] ? 'assets/images/users/' . $_SESSION['User']['image'] : 'assets/images/users/no_image.jpg';
    $capture_link  = $_SESSION['User']['capture_link'];
    $business_link = $_SESSION['User']['business_link'];

    // OPEN DB CONNECTION
	require('dbconfig.php');

	$week_initial = date('Y-m-d', strtotime('last sunday'));
	$week_target  = date('Y-m-d');

	$month_initial = date('Y-m-d', strtotime('first day of this month'));
	$month_target  = date('Y-m-d', strtotime('last day of this month'));

	$year_initial = date('Y-m-d', strtotime('first day of january this year'));
	$year_target  = date('Y-m-d', strtotime('last day of december this year'));

	// FIND WEEKLY PROSPECT
	$wprospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$week_initial' AND '$week_target'";
	$wprospect_result = $conn->query($wprospect_sql);
	$weekly_prospect  = $wprospect_result->num_rows;

	// FIND MONTHLY PROSPECT
	$mprospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$month_initial' AND '$month_target'";
	$mprospect_result = $conn->query($mprospect_sql);
	$monthly_prospect = $mprospect_result->num_rows;

	// FIND YEARLY PROSPECT
	$yprospect_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsprospect' AND DATE(created) BETWEEN '$year_initial' AND '$year_target'";
	$yprospect_result = $conn->query($yprospect_sql);
	$yearly_prospect  = $yprospect_result->num_rows;

	// FIND WEEKLY ASSOCIATE
	$wassociate_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$week_initial' AND '$week_target'";
	$wassociate_result = $conn->query($wassociate_sql);
	$weekly_associate  = $wassociate_result->num_rows;

	// FIND MONTHLY ASSOCIATE
	$massociate_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$month_initial' AND '$month_target'";
	$massociate_result = $conn->query($massociate_sql);
	$monthly_associate = $massociate_result->num_rows;

	// FIND YEARLY ASSOCIATE
	$yassociate_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND type='bsassociate' AND DATE(created) BETWEEN '$year_initial' AND '$year_target'";
	$yassociate_result = $conn->query($yassociate_sql);
	$yearly_associate  = $yassociate_result->num_rows;

	// TOTAL EMAIL OPEN
	$emailopen_sql = "SELECT * FROM prospects WHERE user_id='$user_id' AND email_open=1 ORDER BY created DESC";
	$emailopen_result = $conn->query($emailopen_sql);
	$total_emailopen  = $emailopen_result->num_rows;

	// CLOSE DB CONNECTION
	$conn->close();
?>
<!doctype html>
<html lang="en">

<head>

	<meta charset="utf-8" />
	<title>Anovite Dashboard | Anovite - Admin & Dashboard</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="Anovite Admin & Dashboard" name="description" />
  	<meta content="Global Home Business" name="author" />

	<!-- App favicon -->
	<link rel="shortcut icon" href="assets/images/favicon.ico" type="image/x-icon">

	<!-- Bootstrap Css -->
	<link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
	<!-- Icons Css -->
	<link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
	<!-- App Css-->
	<link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
	<!-- App js -->
	<script src="assets/js/plugin.js?v=09889"></script>

	<link href="assets/css/custom.css?v=<?php echo md5(rand());?>" rel="stylesheet" type="text/css" />

</head>

<body data-sidebar="dark">

	<div class="splash">
	    <div class="spinner-container">
	        <center><div class="splash-icon"></div></center>
	        <div class="loading-text">Processing your request...</div>
	    </div>
	</div>

	<!-- Begin page -->
	<div id="layout-wrapper">


		<?php include_once 'header.php'; ?>

		<!-- ========== Left Sidebar Start ========== -->
		<?php include_once 'sidebar.php'; ?>
		<!-- Left Sidebar End -->


		<!-- ============================================================== -->
		<!-- Start right Content here -->
		<!-- ============================================================== -->
		<div class="main-content">

			<div class="page-content">
				<div class="container-fluid">

					<!-- start page title -->
                    <div class="row mb-4">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0 font-size-18">Dashboard</h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Home</a></li>
                                        <li class="breadcrumb-item active">Dashboard</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- end page title -->

					<div class="row mb-4">
                        <div class="col-lg-12">
                            <div class="d-flex align-items-center">
                                <img src="<?php echo $profile_image; ?>" alt="Image not found" class="avatar-sm rounded">
                                <div class="ms-3 flex-grow-1">
                                    <h5 class="mb-2 card-title">Hello, <?php echo $user_name; ?></h5>
                                    <p class="text-muted mb-0">Ready to jump back in?</p>
                                </div>
                                <div>
                                    <a href="buy-sms.php?token=<?php echo md5(rand());?>" class="btn btn-info me-2 mb-2"><i class="bx bx-message align-middle"></i> SMS Credits</a>
                                    <a href="buy-traffic.php?token=<?php echo md5(rand());?>" class="btn btn-primary mb-2"><i class="bx bx-cart align-middle"></i> Buy Traffic</a>
                                </div>
                            </div>
                        </div><!--end col-->
                    </div><!--end row-->

                    <div class="row row-cols-md-4 row-cols-1">
                        <div class="col-xl-4 col-md-6">
                            <div class="card border border-info">
                            	<div class="card-header bg-info">
                            		<h4 class="card-title fs-5 m-0 text-white">New Prospects This Week</h4>
                            	</div>
                                <div class="card-body">
                                    <a href="contacts.php?indc=twlpr&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Prospect <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $weekly_prospect; ?></span></a>
                                    <a href="contacts.php?indc=twlas&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Associate <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $weekly_associate; ?></span></a>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-4 col-md-6">
                            <div class="card border border-info">
                            	<div class="card-header bg-info">
                            		<h4 class="card-title fs-5 m-0 text-white">New Prospects This Month</h4>
                            	</div>
                                <div class="card-body">
                                    <a href="contacts.php?indc=tmlpr&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Prospect <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $monthly_prospect; ?></span></a>
                                    <a href="contacts.php?indc=tmlas&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Associate <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $weekly_associate; ?></span></a>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-4 col-md-6">
                            <div class="card border border-info">
                            	<div class="card-header bg-info">
                            		<h4 class="card-title fs-5 m-0 text-white">New Prospects This Year</h4>
                            	</div>
                                <div class="card-body">
                                    <a href="contacts.php?indc=tylpr&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Prospect <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $yearly_prospect; ?></span></a>
                                    <a href="contacts.php?indc=tylas&token=<?php echo md5(rand());?>" class="px-3 py-2 rounded bg-light bg-opacity-50 d-block mb-2">Associate <span class="badge text-bg-info float-end bg-opacity-100"><?php echo $weekly_associate; ?></span></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center row-cols-md-4 row-cols-1">
                    	<div class="col mb-4">
                    		<div class="card border border-info h-100">
                    			<div class="card-header bg-info">
                    				<h4 class="card-title fs-5 m-0 text-white"><i class="bx bx-user"></i> Access Your Prospects</h4>
                    			</div>
                    			<div class="card-body text-center">
	                                <p class="card-text">Quickly and easily access your full contact list.  From there you can  view edit and delete contacts.  Use the search function to search for a specific individual and take the appropriate actions to develop the relationship.</p>
	                            </div>
	                            <div class="d-grid card-footer bg-info">
	                            	<a href="contacts.php?token=<?php echo md5(rand()); ?>" class="btn btn-light fw-bold waves-effect waves-light">Access Prospects</a>
	                            </div>
                            </div>
                    	</div>
                    	<div class="col mb-4">
                    		<div class="card border border-info h-100">
                    			<div class="card-header bg-info">
                    				<h4 class="card-title fs-5 m-0 text-white"><i class="bx bx-video"></i> Send A Video Message</h4>
                    			</div>
                    			<div class="card-body text-center">
	                                <p class="card-text">Harness the power of video. Send a personal video message to individuals or groups.  Upload your own videos and create a personal video library.</p>
	                            </div>
	                            <div class="d-grid card-footer bg-info">
	                            	<a href="video-message.php?token=<?php echo md5(rand()); ?>" class="btn btn-light fw-bold waves-effect waves-light">Send Message</a>
	                            </div>
                            </div>
                    	</div>
                    	<div class="col mb-4">
                    		<div class="card border border-info h-100">
                    			<div class="card-header bg-info">
                    				<h4 class="card-title fs-5 m-0 text-white"><i class="bx bx-envelope"></i> Send An Email</h4>
                    			</div>
                    			<div class="card-body text-center">
	                                <p class="card-text">Quickly and easily send professional looking personal email messages to either individuals or groups and add appropriate attachments.</p>
	                            </div>
	                            <div class="d-grid card-footer bg-info">
	                            	<a href="sendmail.php?token=<?php echo md5(rand()); ?>" class="btn btn-light fw-bold waves-effect waves-light">Send Email</a>
	                            </div>
                            </div>
                    	</div>
                    	<div class="col mb-4">
                    		<div class="card border border-info h-100">
                    			<div class="card-header bg-info">
                    				<h4 class="card-title fs-5 m-0 text-white"><i class="bx bx-message"></i> Send an SMS Message</h4>
                    			</div>
                    			<div class="card-body text-center">
	                                <h4 class="card-title fs-5"></h4>
	                                <p class="card-text">Compose and send powerful SMS messages to your prospects  and Associates.  Send individual messages or bulk messages to groups.  Send immediately or schedule for a future time.</p>
	                            </div>
	                            <div class="d-grid card-footer bg-info">
	                            	<a href="sendsms.php?token=<?php echo md5(rand()); ?>" class="btn btn-light fw-bold waves-effect waves-light">Send SMS</a>
	                            </div>
                            </div>
                    	</div>
                    	<div class="col mb-4">
                    		<div class="card border border-info h-100">
                    			<div class="card-header bg-info">
                    				<h4 class="card-title fs-5 m-0 text-white"><i class="bx bx-file"></i> My Lead Capture Page</h4>
                    			</div>
                    			<div class="card-body text-center">
	                                <p class="card-text">Quickly access your personal prospecting page for lead generation.</p>
	                            </div>
	                            <div class="d-grid card-footer bg-info">
	                            	<a href="<?php echo $capture_link; ?>" class="btn btn-light fw-bold waves-effect waves-light" target="_blank">View My Lead Capture Page</a>
	                            </div>
                            </div>
                    	</div>
                    </div>

				</div> <!-- container-fluid -->
			</div>
			<!-- End Page-content -->


			<?php include_once 'footer.php'; ?>
		</div>
		<!-- end main content-->

	</div>
	<!-- END layout-wrapper -->

	<!-- JAVASCRIPT -->
	<script src="assets/libs/jquery/jquery.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
	<script src="assets/libs/metismenu/metisMenu.min.js"></script>
	<script src="assets/libs/simplebar/simplebar.min.js"></script>
	<script src="assets/libs/node-waves/waves.min.js"></script>

	<!-- apexcharts -->
	<script src="assets/libs/apexcharts/apexcharts.min.js"></script>

	<!-- dashboard blog init -->
	<script src="assets/js/pages/dashboard-job.init.js"></script>

	<script src="assets/js/app.js"></script>
	</script>
</body>

</html>